.pj_describtion_header {
    display: flex;
    flex-direction: column;
}
.body_styles {
    padding-inline: 6.17rem;
    max-width: 80rem;
    margin: 0 auto;
}

.sorby_logo {
    position: absolute;
    top: 0;
    padding: 2rem;
    width: 7rem;
}
.sorby_logo svg path {
    fill: black;
}


.cover_photo {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-main-green);
    padding: 6rem;
    margin-block: 6rem 0;
    border-radius: 2rem;
}
.cover_photo img {
    max-width: 20rem;
}
.pj_title {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.pj_typografy {
    display: grid;
    grid-template-columns: 1fr 1.15fr;
    margin-block: 3.85rem;
}
.typografy_title {
    display: flex;
    flex-direction: column;
    gap: .75rem;
}

.typografy_title h2 {
    display: flow-root;
    letter-spacing: .8px;
}
.typografy_title h2:before {
    content: "";
    display: table;
    margin-bottom: calc(-0.5lh + 0.24em);
}
.typografy_title h2:after {
    content: "";
    display: table;
    margin-bottom: calc(-0.5lh + 0.50em);
}

.typografy_describtion {
    padding-right: 5rem;
}

.videos_and_photos {
    margin-top: 1rem;
    width: 100%;
    /* width: 80%; */
    /* width: 75%; */
    /* width: 67%; */
}

.videos_and_photos img {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: 1rem;
}

.pj_describtion_main {
    margin-bottom: 10rem;
}

.download_project_section a {
    text-decoration: underline;
}

.text_indentation {
    padding-left: 2rem;
}

.extra_small_font {
    font-size: .8rem;
}

#copy_button_icon {
    width: 1rem;
}

.code_block {
    --code_block_padding: 1em;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 60rem;
    margin-block: 2rem;
    border-radius: 1rem;
    padding: 1.2rem;
    padding-top: .8rem;
    color: #f5f5f5;
    background-color: #1e1e1e;

}
.code_block_detail {
    display: flex;
    justify-content: space-between;
}
.code_block_detail button {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .5rem;
    background-color: inherit;
    border: none;
    color: white;
    cursor: pointer;
}

pre {
    overflow: scroll;
    background-color: #1e1e1e;
    color: #f5f5f5;
}

@media (min-width: 800px) {
    .sorby_logo {
        padding-inline: 3rem;
    }
}
@media (max-width: 800px) {
    .body_styles {
        padding-inline: 2rem;
    }
    .pj_typografy {
        display: grid;
        /* background-color: red; */
        grid-template-columns: 1fr;
        gap: 1rem;
        margin-bottom: 2rem;
    }
    .typografy_describtion {
        padding: 0;
    }
    .cover_photo {
        padding: 4rem;
    }
    .cover_photo img {
        max-width: 15rem;
    }
    .videos_and_photos img {
        border-radius: .6rem;
    }
}
@media (max-width: 400px) {
    .text_indentation {
        padding-left: 1rem;
    }
    .download_project_section a {
        word-break: break-all;
    }
}